Table of Contents

## Name

im_divide - divide two images

## Synopsis

#include <vips/vips.h>

int im_divide(in1, in2, out)
IMAGE *in1, *in2, *out;

## Description

im_divide(3) divides two images. The result is float except if one (or both) input is double. In the latter case the result is double. If either input is complex, the result is complex. If either input is double complex, the output is double complex.

Input images in1 and in2 should have the same channels and the same sizes, however they can be of different types. Only the history of the image descriptor pointed by in1 is copied to out.

For complex input pels (x1,y1) and (x2,y2), im_divide(3) writes ((x1*x2 + y1*y2)/(x2*x2 + y2*y2), (y1*x2 - x1*y2)/(x2*x2 + y2*y2)).

## Bugs

The function does not check the result for over/underflow.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_remainder(3) , im_multiply(3) , im_subtract(3) , im_lintra(3) , im_add(3) .

## Copyright

National Gallery, 1995

Table of Contents

- Name
- Synopsis
- Description
- Bugs
- Return Value
- SeeAlso
- Copyright